Name: python-beaker
Version: 1.6.4
Release: %mkrel 3
Summary: WSGI middleware layer to provide sessions

Group: Development/Python
License: BSD
URL: http://beaker.groovie.org/
Source0: http://pypi.python.org/packages/source/B/Beaker/Beaker-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python-setuptools
BuildRequires: python3-setuptools

%description
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.

%package -n python3-beaker
Group: Development/Python
Summary: WSGI middleware layer to provide sessions

%description -n python3-beaker
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.


%prep
%setup -q -n Beaker-%{version}
# Fix rpmlint warning
sed -i -e '/\/usr\/bin\/python/d' beaker/crypto/pbkdf2.py

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE CHANGELOG
%{python_sitelib}/beaker/
%{python_sitelib}/Beaker*

%files -n python3-beaker
%doc LICENSE CHANGELOG
%{python3_sitelib}/beaker/
%{python3_sitelib}/Beaker*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.6.4-3.mga4
+ Revision: 543030
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.4-2.mga4
+ Revision: 498160
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.6.4-1.mga4
+ Revision: 450104
- Update to 1.6.4, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.4-3.mga3
+ Revision: 378496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 1.5.4-2.mga1
+ Revision: 55599
- rebuild to make all pythonegg requires/provides lowercase

* Sat Feb 05 2011 ahmad <ahmad> 1.5.4-1.mga1
+ Revision: 47063
- update to 1.5.4
- imported package python-beaker


* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 1.5.3-2mdv2011.0
+ Revision: 589931
- rebuild for python 2.7

* Wed Mar 03 2010 Frederik Himpe <fhimpe@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 514015
- update to new version 1.5.3

* Fri Jan 08 2010 Frederik Himpe <fhimpe@mandriva.org> 1.5.1-1mdv2010.1
+ Revision: 487767
- update to new version 1.5.1

* Thu Aug 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4-1mdv2010.0
+ Revision: 418609
- update to new version 1.4

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 395150
- First Mandriva package based on Fedora's SPEC
- create python-beaker

